GyotoPatternDiskBB.h File Reference

A PatternDisk object with possibility to compute a black body spectrum when PatternDiskBB::emission_ does not yield directly Iν but temperature. More...

`#include <iostream>`
`#include <fstream>`
`#include <iomanip>`
`#include <GyotoPatternDisk.h>`
`#include <GyotoBlackBodySpectrum.h>`

Go to the source code of this file.

## Classes

class | Gyoto::Astrobj::PatternDiskBB
| Geometrically thin disk read from FITS file with black body spectrum. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Astrobj
| Access to astronomical objects.

## Detailed Description

A PatternDisk object with possibility to compute a black body spectrum when PatternDiskBB::emission_ does not yield directly Iν but temperature.